Subject: bug#28668: comint-previous-input could put the cursor where it was

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 11:22:34 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> In bash, ^P puts the cursor at the same spot where it was (when we hit
> RET) last command.

I tried this on Debian Stale now, and C-p didn't do that.  Perhaps you
have a special setting?

> In emacs shell mode, M-p (comint-previous-input)
> always puts the cursor at the end of the line, no matter what. Perhaps
> it could be made to be like bash... at least for the latest previous
> command.

I think that sounds like a slightly confusing feature, so I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no